FreeMat

- Main Page
- Related Pages

vtkSocketCollection

Section: Visualization Toolkit Common Classes

# Usage

Apart from being vtkCollection subclass for sockets, this class provides means to wait for activity on all the sockets in the collection simultaneously.

To create an instance of class vtkSocketCollection, simply invoke its constructor as follows

      obj = vtkSocketCollection

# Methods

The class vtkSocketCollection has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkSocketCollection class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkSocketCollection = obj.NewInstance ()`
- `vtkSocketCollection = obj.SafeDownCast (vtkObject o)`
- `obj.AddItem (vtkSocket soc)`
- `int = obj.SelectSockets (long msec)` - Select all Connected sockets in the collection. If msec is specified, it timesout after msec milliseconds on inactivity. Returns 0 on timeout, -1 on error; 1 is a socket was selected. The selected socket can be retrieved by GetLastSelectedSocket().
- `vtkSocket = obj.GetLastSelectedSocket ()` - Overridden to unset SelectedSocket.
- `obj.ReplaceItem (int i, vtkObject )` - Overridden to unset SelectedSocket.
- `obj.RemoveItem (int i)` - Overridden to unset SelectedSocket.
- `obj.RemoveItem (vtkObject )` - Overridden to unset SelectedSocket.
- `obj.RemoveAllItems ()` - Overridden to unset SelectedSocket.